Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs
Class DefaultGet3DFeatureInfoHandler

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.Get3DFeatureInfoHandler
          org.deegree.ogcwebservices.wpvs.DefaultGet3DFeatureInfoHandler

    public class DefaultGet3DFeatureInfoHandler

extends Get3DFeatureInfoHandler

This class handles a WPVS Get3DFeatureInfo-Request.

Version:
  $Revision: $, 1.0. $Revision: $, $Date: $
Author:
  Lyn Buesching, last edited by: $Author: $

Constructor Summary
`DefaultGet3DFeatureInfoHandler(WPVService owner)` Create a new instance

Method Summary
`Get3DFeatureInfoResponse` | `handleRequest(Get3DFeatureInfo request)` Handle the Get3DfeatureInfo request given by `Get3DFeatureInfoRequest`

Methods inherited from class org.deegree.ogcwebservices.wpvs.Get3DFeatureInfoHandler
`getOwner`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGet3DFeatureInfoHandler

    public DefaultGet3DFeatureInfoHandler(WPVService owner)

  Create a new instance

  Parameters:
    `owner` - the calling service instance.

Method Detail

### handleRequest

    public Get3DFeatureInfoResponse handleRequest(Get3DFeatureInfo request)
                                           throws OGCWebServiceException

  Description copied from class: `Get3DFeatureInfoHandler`
  Handle the Get3DfeatureInfo request given by `Get3DFeatureInfoRequest`

  Specified by:
    `handleRequest` in class `Get3DFeatureInfoHandler`
  Returns:
    an instance of Get3DFeatureInfoResponse
  Throws:
    `OGCWebServiceException` - if an error occurred while handling the request.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org